<template>
  <div
    class="score-animation feedback-msg__score-animation"
    :class="{ 'score-animation_correct': correct }"
  >
    <div class="score-animation__score">{{ score }}xp</div>
    <div class="score-animation__plus score-animation__plus_1">+</div>
    <div class="score-animation__plus score-animation__plus_2">+</div>
    <div class="score-animation__plus score-animation__plus_3">+</div>
    <div class="score-animation__ball score-animation__ball_1"></div>
    <div class="score-animation__ball score-animation__ball_2"></div>
    <div class="score-animation__ball score-animation__ball_3"></div>
    <div class="score-animation__ball score-animation__ball_4"></div>
    <div class="score-animation__ball score-animation__ball_5"></div>
    <svg
      v-if="correct"
      class="score-animation__checkmark"
      xmlns="http://www.w3.org/2000/svg"
      viewBox="0 0 90.594 59.714"
    >
      <polyline
        class="check"
        fill="none"
        stroke="#f00081"
        stroke-width="12"
        stroke-miterlimit="10"
        points="4.768,28.532 31.415,56.179 86.826,0.768"
      ></polyline>
    </svg>
  </div>
</template>

<script>
export default {
  components: {},
  props: { correct: Boolean, score: Number },
};
</script>

<style lang="sass" scoped>
  @import ~@/styles/defaults/variables
  @import ~@/styles/defaults/mobileFirst
  @import ~@/styles/defaults/animations

  .score-animation
    color: #67C6F1
    position: absolute
    font-family: $primary-font-bold
    top: -50px
    left: 30px
    &_correct
      color: #f00081
    &__score
      font-size: 3em
      animation: score 2s cubic-bezier(0.175, 0.885, 0.385, 1.120) .5s 1 forwards
      opacity: 0
    &__plus
      opacity: 0
      &_1
        animation: plus-1 10s ease-in 2s infinite
      &_2
        animation: plus-2 12s ease-in 1s infinite
      &_3
        animation: plus-3 8s ease-in 1s infinite
    &__ball
      background-color: #67C6F1
      width: 20px
      height: 20px
      border-radius: 50%
      opacity: 0
      &_1
        animation: ball-1 10s ease-in infinite
      &_2
        animation: ball-2 15s ease-in infinite
      &_3
        animation: ball-3 7s ease-in 2s infinite
      &_4
        animation: ball-4 6s ease-in 1s infinite
      &_5
        animation: ball-5 5s ease-in 2s infinite
    &__checkmark
      position: absolute
      top: -28px
      left: 36px
      width: 36px
      height: 36px
    &__score,
    &__ball,
    &__plus,
      position: absolute
      transform-origin: center

  .score-animation_correct .score-animation__ball
    background-color: #f00081

  .check
    stroke-dasharray: 130px 130px
    stroke-dashoffset: 130px
    animation: stroke 1s ease-in-out forwards


    +media-min-sm()
    +media-min-md()
    +media-min-lg()
</style>
